opensaml-2.5.5

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

opensaml::ArtifactMap Member List

This is the complete list of members for opensaml::ArtifactMap, including all inherited members.

ArtifactMap(xmltooling::StorageService *storage=nullptr, const char *context=nullptr, unsigned int artifactTTL=180) | opensaml::ArtifactMap |
ArtifactMap(const xercesc::DOMElement *e, xmltooling::StorageService *storage=nullptr) | opensaml::ArtifactMap |
getRelyingParty(const SAMLArtifact *artifact) | opensaml::ArtifactMap | virtual
retrieveContent(const SAMLArtifact *artifact, const char *relyingParty=nullptr) | opensaml::ArtifactMap | virtual
storeContent(xmltooling::XMLObject *content, const SAMLArtifact *artifact, const char *relyingParty=nullptr) | opensaml::ArtifactMap | virtual
~ArtifactMap() (defined in opensaml::ArtifactMap) | opensaml::ArtifactMap | virtual